#!/bin/sh

CWSIDMINOR=242
DEV=/dev/sid
STR=char-major-10-$CWSIDMINOR
MOD=cw

if [ -f /etc/modules.conf ]
then FILE=/etc/modules.conf
elif [ -f /etc/conf.modules ]
then FILE=/etc/conf.modules
else FILE=/etc/modules.conf
fi

case "$1" in
  install)
    if ! grep $STR $FILE
    then echo "alias $STR $MOD" >> $FILE
    fi

    if [ ! -c $DEV ]
    then mknod $DEV c 10 $CWSIDMINOR
         chmod 666 $DEV
    fi
  ;;
  uninstall)
    rm -f $DEV
    perl -i.bak -ne "print unless /$STR/" $FILE
  ;;
esac
