/*
  sid (c) 1999-2003 by Dirk Jagdmann <doj@cubic.org>

  This file is part of sid.

  sid is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  sid is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
  License for more details.

  You should have received a copy of the GNU General Public License
  along with sid; if not, write to the Free Software Foundation, Inc.,
  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
  
  $Header: /home/cvs/sidblaster/sid/time.hpp,v 1.3 2003/05/22 12:32:14 doj Exp $
*/

#ifndef TIME__HPP
#define TIME__HPP

#include <sys/timeb.h>

/// @return a number which is incremented every millisecond.
inline unsigned long timeGetTime()
{
  struct timeb t;
  ftime(&t);
  return (t.time&0xfffff)*1000 + t.millitm;
}

#endif
